### Method

# Malcontent Manager set_session_limits_async

since: 0.5.0

#### Declaration [src]

    void
    mct_manager_set_session_limits_async (
      MctManager* self,
      uid_t user_id,
      MctSessionLimits* session_limits,
      MctManagerSetValueFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously set the session limits settings for the given `user_id` to the given `session_limits` instance.

On failure, a `MctManagerError`, a `GDBusError` or a `GIOErrorEnum` will be returned via `mct_manager_set_session_limits_finish()`. The user’s session limits settings will be left in an undefined state.

Available since: 0.5.0

This method completes asynchronously. Use `mct_manager_set_session_limits_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`user_id`

  Type: `uid_t`

  ID of the user to set the limits for, typically coming from `getuid()`.

`session_limits`

  Type: `MctSessionLimits`

  The session limits to set for the user.

  The data is owned by the caller of the method.

`flags`

  Type: `MctManagerSetValueFlags`

  Flags to affect the behaviour of the call.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  An asynchronous operation result callback.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.